Returned by the event listener when it's called.

export
interface

  DatabaseEvent

### Hierarchy

- DatabaseEvent

## Index

### Properties

- actionOrView
- changeType
- changedRowPKS
- changedRows
- name
- query
- result
- table
- time

## Properties

### actionOrView

actionOrView: string

- Defined in index.ts:94

### changeType

changeType: string

- Defined in index.ts:95

### changedRowPKS

changedRowPKS: any[]

- Defined in index.ts:97

### changedRows

changedRows: DBRow[]

- Defined in index.ts:96

### name

name: "change" | "delete" | "upsert" | "drop" | "select" | "error"

- Defined in index.ts:93

### query

query: QueryLine[]

- Defined in index.ts:90

### result

result: any[]

- Defined in index.ts:92

### table

table: string

- Defined in index.ts:89

### time

time: number

- Defined in index.ts:91

Generated using TypeDoc